//=============================================================================
// XC_ComboTracker.
// Made by Higor
//
// This makes sure we get shock balls included in lag compensation
//=============================================================================
class XC_ComboTracker expands Info;

//OBFSTART
var ShockProj MyProj;
var XC_ComboTracker nextTracker;

//ffTmp is preprocessed with TimeDilation before this call!!!!
function bool ffTrack( private ShockProj ffOther, private float ffTmp)
{
	if ( ffOther.LifeSpan + ffTmp > ffOther.Default.LifeSpan)
		return false; //Do not track something that hasn't replicated on client
	SetLocation( ffOther.Location - ffOther.Velocity * ffTmp);
	SetCollisionSize( ffOther.CollisionRadius + 2 * ffTmp, ffOther.CollisionHeight + 2 * ffTmp); //Extra size helps high pingers combo
	SetCollision(true,false,false);
	bProjTarget = true;
	MyProj = ffOther;
	return true;
}

function ffReset()
{
	MyProj = none;
	SetCollision(false,false,false);
	bProjTarget = false;
}
//OBFEND


defaultproperties
{
	bHidden=True
	RemoteRole=ROLE_None
	bGameRelevant=True
	bCanTeleport=True
}